[packages/glibc] add script to build git branch diff

glen glen at pld-linux.org
Thu Aug 4 21:05:54 CEST 2016


commit 4460dc92b5fee2a8dae657cfbb0897bb48057343
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Thu Aug 4 22:03:34 2016 +0300

    add script to build git branch diff
    
    based on script from lighttpd/branch.sh

 branch.sh | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
---
diff --git a/branch.sh b/branch.sh
new file mode 100755
index 0000000..132f337
--- /dev/null
+++ b/branch.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+set -e
+url=git://sourceware.org/git/glibc.git
+package=glibc
+tag=glibc-2.24
+branch=release/2.24/master
+out=$package-git.patch
+repo=$package.git
+
+# use filterdiff, etc to exclude bad chunks from diff
+filter() {
+	cat
+}
+
+if [ ! -d $repo ]; then
+	git clone --bare $url -b $branch $repo
+fi
+
+cd $repo
+	git fetch
+	git log -p --reverse $tag..$branch | filter > ../$out.tmp
+cd ..
+
+if cmp -s $out{,.tmp}; then
+	echo >&2 "No new diffs..."
+	rm -f $out.tmp
+	exit 0
+fi
+mv -f $out{.tmp,}
+
+../md5 $package.spec
+../dropin $out
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/glibc.git/commitdiff/4460dc92b5fee2a8dae657cfbb0897bb48057343



More information about the pld-cvs-commit mailing list